Illumience API

Quick Start for eSite Systems

The Illumience API is limited in function currently, and is only accessible by a few eSite clients.

TLS and API Keys are mandatory

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

API keys have already been distributed, and we're not expanding usage of this API at this time.

All requests must utilize TLS and they must include your apikey in the Authorization section of the header.

Make your first request

You can easily test your API endpoint via curl.

🚨 Warning: Be careful with the space between Authorization: and apikey and your actual key! Don't forget to replace your-api-key-here with your actual key.

Nano-grid Systems

curl https://api.illumience.com/v2/devices  
    -H Authorization: apikey your-api-key-here

eSite Systems

curl https://api.illumience.com/v1/status  
    -H Authorization: apikey your-api-key-here

For Nano-grid reference, follow this link.